#include <iostream>
#include <boost/algorithm/string.hpp>
using namespace boost::algorithm;
using namespace std;
const int EVENTS = 20;
const int COUNTRIES = 10;

int main() {
  int j, i, left, right, middle, index_position;
  bool found;
  string needle;

  string country_names[COUNTRIES];
  string event_descriptions[EVENTS][COUNTRIES];
  for (j = 0; j <= COUNTRIES - 1; j++) {
    cout << "Enter Country No. " << (j + 1) << ": ";
    cin >> country_names[j];
    for (i = 0; i <= EVENTS - 1; i++) {
      cout << "Enter description for event No. " << (i + 1) << ": ";
      cin >> event_descriptions[i][j];
    }
  }

  cout << "Enter a country to search: ";
  cin >> needle;
  needle = to_upper_copy(needle);

  index_position = -1;
  left = 0;
  right = EVENTS - 1;
  found = false;
  while (left <= right && found == false) {
    middle = (int)((left + right) / 2);

    if (to_upper_copy(country_names[middle]) > needle) {
      right = middle - 1;
    }
    else if (to_upper_copy(country_names[middle]) < needle) {
      left = middle + 1;
    }
    else {
      found = true;
      index_position = middle;
    }
  }

  if (found == false) {
    cout << "No country found!" << endl;
  }
  else {
    for (i = 0; i <= EVENTS - 1; i++) {
      cout << event_descriptions[i][index_position] << endl;
    }
  }
  return 0;
}
