#include <iostream>
#include <stdlib.h>
#include <cmath>
using namespace std;
const double ACCURACY = 0.0000000000001;

int main() {
  double y, guess;

  cout << "Enter a non-negative number: ";
  cin >> y;
  while (cin.fail() == true || y < 0) {
    cout << "Invalid value. Enter a non-negative number: " << endl;
    cin.clear();
    cin.ignore(100,'\n');
    cin >> y;
  }
  guess = 1 + rand()%((int)y);	//Make a random first guess
                               	//between 1 and given value

  while (abs(guess * guess - y) > ACCURACY) { 	//is it "close enough"?
    guess = (guess + y / guess) / 2;		//No, create a new "guess"!
  }
  cout << guess;
  return 0;
}
