#include <iostream>
using namespace std;
const int EVENTS = 20;
const int COUNTRIES = 10;
 
int main() {
  int j, i, needle, top, bottom, middle, row_index;
  bool found;
 
  string country_names[COUNTRIES];
  string event_descriptions[EVENTS][COUNTRIES];
  int event_years[EVENTS][COUNTRIES];
  for (j = 0; j <= COUNTRIES - 1; j++) {
    cout << "Enter Country No. " << (j + 1) << ": ";
    cin >> country_names[j];
    for (i = 0; i <= EVENTS - 1; i++) {
      cout << "Enter description for event No. " << (i + 1) << ": ";
      cin >> event_descriptions[i][j];
      cout << "Enter year for event No. " << (i + 1) << ": ";
      cin >> event_years[i][j];      
    }
  }

  cout << "Enter a year to search: ";
  cin >> needle;
  row_index = -1;

  for (j = 0; j <= COUNTRIES - 1; j++) {
    top = 0;
    bottom = EVENTS - 1;
    found = false;
    while (top <= bottom && found == false) {
      middle = (int)((top + bottom) / 2);

      if (event_years[middle][j] > needle) {
        bottom = middle - 1;
      }
      else if (event_years[middle][j] < needle) {
        top = middle + 1;
      }
      else {
        found = true;
        row_index = middle;
      }
    }

    if (found == false) {
      cout << "No event found for country " << country_names[j] << endl;
    }
    else {
      cout << "Country: " << country_names[j] << endl;
      cout << "Year: " << event_years[row_index][j] << endl;
      cout << "Event: " << event_descriptions[row_index][j] << endl;
    }
  }
  return 0;
}
