#include <iostream>
using namespace std;
const int PEOPLE = 20;

void my_swap(string &x, string &y) {
  string temp;

  temp = x;
  x = y;
  y = temp;
}

void my_sort(string a[], bool ascending = true) {
  int m, n;

  for (m = 1; m <= PEOPLE - 1; m++) {
    for (n = PEOPLE - 1; n >= m; n--) {
      if (ascending == true) {
        if (a[n] < a[n - 1]) {
          my_swap(a[n], a[n-1]);
        }
      }
      else {
        if (a[n] > a[n - 1]) {
          my_swap(a[n], a[n-1]);
        }
      }
    }
  }
}

void display_array(string a[]) {
  int i;

  for (i = 0; i <= PEOPLE - 1; i++) {
    cout << a[i] << endl;
  }
}

int main() {
  int i;

  string names[PEOPLE];
  for (i = 0; i <= PEOPLE - 1; i++) {
    cout << "Enter a name: ";
    cin >> names[i];
  }

  my_sort(names);			//Sort names in ascending order
  display_array(names);		//and display them

  my_sort(names, false);		//Sort names in descending order
  display_array(names);		//and display them.
  return 0;
}
